Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 690973 - [tabletui] Opening a new tab in portrait mode does not open the awesomescreen
: [tabletui] Opening a new tab in portrait mode does not open the awesomescreen
[fixed in aurora]
: regression
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 9
: All All
: -- normal (vote)
: Firefox 9
Assigned To: Matt Brubeck (:mbrubeck)
Depends on:
Blocks: 688840
  Show dependency treegraph
Reported: 2011-09-30 17:14 PDT by Matt Brubeck (:mbrubeck)
Modified: 2011-12-01 15:02 PST (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---

patch (2.44 KB, patch)
2011-09-30 17:14 PDT, Matt Brubeck (:mbrubeck)
wjohnston2000: review+
asa: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Matt Brubeck (:mbrubeck) 2011-09-30 17:14:48 PDT
Created attachment 563902 [details] [diff] [review]

Steps to reproduce:
1. Open fennec in portrait mode on tablet
2. Tap the tabs button to open the menu
3. Press the "New tab" button in the menu

Expected results: New tab opens, urlbar is focused, and awesomescreen drop-down appears.

Actual results: New tab opens but urlbar is not focused and awesomescreen does not appear.

This is a problem from my patch in bug 688840.  hidePortraitMenu refers to an undefined variable "resizeHandler".  This moves resizeHandler back to its own method of TabsPopup, and calls bind from init to avoid the problem that bug 688840 was trying to fix.
Comment 1 Wesley Johnston (:wesj) 2011-09-30 17:22:37 PDT
Comment on attachment 563902 [details] [diff] [review]

Review of attachment 563902 [details] [diff] [review]:

Please add some sort of comment explaining why we're doing:

this.resizeHandler = this.resizeHandler.bind(this);

and maybe some comments at the event listeners noting its already bound... Otherwise I'm sure I'll stare at it someday wondering what's going on.
Comment 2 Matt Brubeck (:mbrubeck) 2011-09-30 17:31:21 PDT
Pushed with added comment:
Comment 3 Matt Brubeck (:mbrubeck) 2011-09-30 17:33:07 PDT
Comment on attachment 563902 [details] [diff] [review]

Requesting approval for Aurora 9.  This is a fix for a regression in Firefox 9 that breaks the user experience of opening a new tab (in portrait mode, on tablets).  The fix is mobile-only and very localized.  It fixes an undefined variable access exception that happens every time the portrait tab menu is hidden.
Comment 4 Marco Bonardo [::mak] 2011-10-01 02:47:32 PDT
Comment 5 Aaron Train [:aaronmt] 2011-10-03 07:05:43 PDT
Verified Fixed on Nightly
Mozilla/5.0 (Android; Linux armv7l; rv:10.0a1) Gecko/20111003 Firefox/10.0a1 Fennec/10.0a1
Comment 6 Matt Brubeck (:mbrubeck) 2011-10-07 10:29:05 PDT
Comment 7 Camelia Urian 2011-10-14 05:08:33 PDT
Verified Fixed on Aurora
Mozilla/5.0 (Android; Linux armv7l; rv:9.0a2) Gecko/20111013 Firefox/9.0a2 Fennec/9.0a2

When pressing  "New Tab" button wew tab opens, urlbar is focused, and awesomescreen drop-down appears.
Comment 8 Johnny Stenback (:jst, 2011-12-01 15:02:14 PST
This landed on aurora for 9, not tracking.

Note You need to log in before you can comment on or make changes to this bug.